Loading...
Searching...
No Matches
ForceFields::MMFF::MMFFChgCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const std::pair< int, const MMFFChg * > | getMMFFChgParams (const unsigned int bondType, const unsigned int iAtomType, const unsigned int jAtomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFChgCollection (std::string mmffChg="")
| the parameter 3D-map

## Public Attributes

std::vector< MMFFChg > | d_params
| the parameter vector
std::vector< std::uint8_t > | d_iAtomType
| atom type vector for atom i
std::vector< std::uint8_t > | d_jAtomType
| atom type vector for atom j
std::vector< std::uint8_t > | d_bondType
| bond type vector for bond i-j

## Detailed Description

Definition at line 246 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFChgCollection()

ForceFields::MMFF::MMFFChgCollection::MMFFChgCollection | ( | std::string | mmffChg = "" | ) |

the parameter 3D-map

References d_params.

## Member Function Documentation

## getMMFFChgParams()

const std::pair< int, const MMFFChg * > ForceFields::MMFF::MMFFChgCollection::getMMFFChgParams | ( | const unsigned int | bondType,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType ) const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFChg object, NULL on failure.

Definition at line 252 of file MMFF/Params.h.

References d_bondType, d_iAtomType, d_jAtomType, and d_params.

## Member Data Documentation

## d_bondType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFChgCollection::d_bondType

bond type vector for bond i-j

Definition at line 306 of file MMFF/Params.h.

Referenced by getMMFFChgParams().

## d_iAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFChgCollection::d_iAtomType

atom type vector for atom i

Definition at line 304 of file MMFF/Params.h.

Referenced by getMMFFChgParams().

## d_jAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFChgCollection::d_jAtomType

atom type vector for atom j

Definition at line 305 of file MMFF/Params.h.

Referenced by getMMFFChgParams().

## d_params

std::vector<MMFFChg> ForceFields::MMFF::MMFFChgCollection::d_params

the parameter vector

Definition at line 303 of file MMFF/Params.h.

Referenced by getMMFFChgParams(), and MMFFChgCollection().

The documentation for this class was generated from the following file:

- MMFF/Params.h